## org.eclipse.datatools.sqltools.db.generic.parser
Class GenericSQLParser

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.parser.SQLParser
          org.eclipse.datatools.sqltools.db.generic.parser.GenericSQLParser

All Implemented Interfaces:
  GenericSQLParserConstants, GenericSQLParserTreeConstants, SQLParserConstants

    public class GenericSQLParser

extends SQLParser
implements GenericSQLParserTreeConstants, SQLParserConstants, GenericSQLParserConstants

Generic SQL parser.

Author:
  Hui Cao

Field Summary
`Token` `jj_nt`
`boolean` `lookingAhead`
`static java.lang.String[]` `STMT_START_STRING`
`Token` `token`
`GenericSQLParserTokenManager` `token_source`

Fields inherited from class org.eclipse.datatools.sqltools.sql.parser.SQLParser
`SPECIAL_TOKEN`

Fields inherited from interface org.eclipse.datatools.sqltools.db.generic.parser.GenericSQLParserTreeConstants
`JJTDECLARECOMMA, JJTDECLAREKEYWORD, JJTEXPRESSION, jjtNodeName, JJTSQLDATATYPE, JJTSQLDELIMITER, JJTSQLPARAM, JJTSQLSTATEMENT, JJTSTART, JJTVOID`

Fields inherited from interface org.eclipse.datatools.sqltools.sql.parser.SQLParserConstants

`COLUMNS, DATABASES, DDL_STATEMENTS, DML_STATEMENTS, EVENT_PARAMETERS, GLOBAL_VARIABLES, PARAMETERS, SCOPE_CATALOGS, SCOPE_COLUMNS, SCOPE_DATA_TYPES, SCOPE_DEFAULT, SCOPE_DEFINE_VARIABLES, SCOPE_EVENTS, SCOPE_FUNCTIONS, SCOPE_INDEXES, SCOPE_REFERENCE_VARIABLES, SCOPE_SCHEMAS, SCOPE_SEGMENT, SCOPE_STORED_PROCEDURES, SCOPE_TABLES, SCOPE_TRIGGERS, SCOPE_VIEWS, SCOPE_WITHOUT_TABLE, TABLES, TYPE_SQL_ALTER_DATABASE, TYPE_SQL_ALTER_EVENT, TYPE_SQL_ALTER_FUNCTION, TYPE_SQL_ALTER_INDEX, TYPE_SQL_ALTER_PROCEDURE, TYPE_SQL_ALTER_TABLE, TYPE_SQL_ALTER_TRIGGER, TYPE_SQL_ALTER_VIEW, TYPE_SQL_BEGIN, TYPE_SQL_BEGIN_TRANSACTION, TYPE_SQL_CALL, TYPE_SQL_CREATE_DATABASE, TYPE_SQL_CREATE_DEFAULT, TYPE_SQL_CREATE_EVENT, TYPE_SQL_CREATE_FUNCTION, TYPE_SQL_CREATE_INDEX, TYPE_SQL_CREATE_PROCEDURE, TYPE_SQL_CREATE_TABLE, TYPE_SQL_CREATE_TRIGGER, TYPE_SQL_CREATE_VIEW, TYPE_SQL_DECLARE, TYPE_SQL_DELETE, TYPE_SQL_DROP_VIEW, TYPE_SQL_EVENT_CONDITION, TYPE_SQL_INSERT, TYPE_SQL_OTHERS, TYPE_SQL_ROOT, TYPE_SQL_ROUTINE_HEADER, TYPE_SQL_SELECT, TYPE_SQL_SELECT_INTO, TYPE_SQL_UPDATE, VARIABLE_ASSIGNMENTS, VARIABLE_DECLARATIONS, VARIABLE_REFERENCES`

Fields inherited from interface org.eclipse.datatools.sqltools.db.generic.parser.GenericSQLParserConstants

`ADD, ALTER, AND, ANY, AS, ASC, ASTERISK, AT, AUTHORIZATION, AVG, BEGIN, BETWEEN, BINARY_LITERAL, BREAK, BROWSE, BULK, BY, CASCADE, CASE, CHECK, CHECKPOINT, CLOSE, CLOSEDESCRIPTION, CLOSEPAREN, CLUSTERED, COALESCE, COMMA, COMMENT_CONTENT, COMMIT, COMPUTE, CONCAT, CONFIRM, CONNECT, CONSTRAINT, CONTINUE, CONTROLROW, CONVERT, COUNT, CREATE, CURRENT, CURSOR, DATABASE, DBCC, DEALLOCATE, DECLARE, DEFAULT, DEFAULT_VAL, DELETE, DESC, DESCRIPTION, DESCRIPTION_START_STATE, DESCRIPTION_STATE, DETERMINISTIC, DIGIT, DISK, DISTINCT, DOT, DOUBLE, DOUBLE_STRING_LITERAL, DROP, DUMMY, DUMP, ELSE, END, ENDTRAN, EOF, EQUAL, ESCAPE, EVENT, EXCEPT, EXCLUSIVE, EXEC, EXECUTE, EXISTS, EXIT, EXPONENT, EXTERNAL, FETCH, FILLFACTOR, FLOATING_POINT_LITERAL, FOR, FOREIGN, FROM, FUNC, FUNCTION, GLOBAL_VAR_NAME, GO, GOTO, GRANT, GREATER, GREATEREQUAL, GROUP, HAVING, HEXDIGIT, HOLDLOCK, ID, IDENTITY, IF, IN, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INDEX, INOUT, INSERT, INSTALL, INTEGER_LITERAL, INTERSECT, INTO, INVALID_TOKEN, IS, ISOLATION, JAR, JAVA_REF, JOIN, JOINPLUS, KEY, KILL, LABEL, LEQJOIN, LESS, LESSEQUAL, LETTER, LEVEL, LIKE, LOAD, LOCK, MAX, MIN, MINUS, MODIFY, MONEY_LITERAL, NATIONAL, NOHOLDLOCK, NONCLUSTERED, NOT, NOTEQUAL, NULL, NULLIF, OF, OFF, OFFSETS, ON, ONCE, ONLINE, ONLY, OPEN, OPENDESCRIPTION, OPENPAREN, OPTION, OR, ORDER, OUT, OUTPUT, OVER, PARTITION, PERM, PERMANENT, PLAN, PLUS, PREPARE, PRIMARY, PRINT, PRIVILEGES, PROC, PROCEDURE, PROCESSEXIT, PROXY_TABLE, PUBLIC, QUESTIONMARK, QUIESCE, RAISERROR, READ, READPAST, READTEXT, RECONFIGURE, REFERENCES, REMOVE, REORG, REPLACE, REPLICATION, REQJOIN, RETURN, RETURNS, REVOKE, ROLE, ROLLBACK, ROWCOUNT, ROWS, ROWTYPE, RULE, SAVE, SCHEMA, SELECT, SEMICOLON, SET, SETUSER, SHARED, SHUTDOWN, SINGLE_LINE_COMMENT, SINGLE_STRING_LITERAL, SLASH, SOME, SQUARE_BRACKET_ID, STATISTICS, STRINGSIZE, STRIPE, SUM, SYMBOL, TABLE, TEMP, TEMP_TABLE_NAME, TEMPORARY, TEXTSIZE, TILDE, TO, tokenImage, TRAN, TRANSACTION, TRIGGER, TRUNCATE, UK_DOUBLE_PRECISION, UK_NCHAR_S, UK_NCHAR_S1, UK_NO_SCROLL, UK_NVARCHAR_S, UK_NVARCHAR_S1, UK_NVARCHAR_S2, UK_SEMI_SENSITIVE, UK_VARCHAR_S, UK_VARCHAR_S1, UNION, UNIQUE, UNPARTITION, UPDATE, USE, USER, USING, VALUES, VAR_NAME, VAR_NAME_BODY, VARYING, VIEW, WAITFOR, WHEN, WHERE, WHILE, WITH, WORK, WRITETEXT`

Constructor Summary
`GenericSQLParser()`
`GenericSQLParser(GenericSQLParserTokenManager tm)`
`GenericSQLParser(java.io.InputStream stream)`
`GenericSQLParser(java.io.Reader stream)`

Method Summary
`void` `agg_function_specification()`
`void` `agg_function()`
`void` `all_distinct()`
`void` `all_option()`
`void` `all_predicate()`
`void` `all()`
`void` `alter_stmts()`
`void` `any_predicate()`
`void` `any_stmt_token()`
`void` `arglist()`
`ASTSQLDataType` `base_datatype()`
`void` `begin_stmts()`
`void` `begin_tran()`
`void` `between_predicate()`
`void` `binary()`
`void` `boolean_expression()`
`void` `boolean_factor()`
`void` `boolean_function()`
`void` `boolean_primary()`
`void` `boolean_term()`
`void` `builtin_function()`
`void` `by_all()`
`void` `case_abbreviation()`
`void` `case_expression()`
`void` `case_specification()`
`void` `checkpoint()`
`void` `clustered()`
`void` `coalesce_element()`
`void` `coalesce_format()`
`void` `coalesce_list()`
`void` `column()`
`void` `comma()`
`void` `commit_tran()`
`void` `comp_op()`
`void` `comparison_predicate()`
`void` `compound_statement()`
`void` `compute_by_item()`
`void` `compute_by_list()`
`void` `compute_clause()`
`void` `compute_function()`
`void` `compute_list()`
`void` `compute_statement_list()`
`void` `compute_statement()`
`void` `constant()`
`void` `create_stmts()`
`void` `cur_scrollability()`
`void` `cur_sensitivity()`
`void` `curs_upd_column()`
`void` `cursor_column_list()`
`void` `cursor_update_list()`
`ASTSQLDataType` `datatype()`
`void` `declaration_list()`
`void` `declaration()`
`void` `declare_cursor()`
`void` `declare_prefix()`
`void` `declare()`
`void` `delete_stmts()`
`void` `delete()`
`ASTSQLDelimiter` `delimiter()`
`void` `derived_col_name()`
`void` `derived_column_list()`
`void` `derived_table_name()`
`void` `disable_tracing()`
`void` `drop_stmts()`
`void` `dummy()`
`Token` `dyn_question_mark()`
`void` `enable_tracing()`
`void` `escape_clause()`
`void` `exists_predicate()`
`void` `expression_list()`
`ASTExpression` `expression()`
`void` `factor()`
`void` `fetch_from_spec()`
`void` `fetch_into_clause()`
`void` `fetch_into_list()`
`void` `fetch_orientation()`
`void` `fetch_val_spec()`
`void` `fetch()`
`void` `forceindex()`
`void` `forceoption_term()`
`void` `forceoption_terms()`
`void` `forceoptions()`
`void` `forcestrategy()`
`void` `from_clause()`
`void` `from_item()`
`void` `from_list()`
`void` `from_table()`
`java.lang.String` `from_unit()`
`void` `from_where_clause()`
`void` `function()`
`ParseException` `generateParseException()`
`static GenericSQLParser` `getInstance()`
`Token` `getNextToken()`
`java.lang.String[]` `getStatementStartTokens()` Returns the token strings that can be used to begin a SQL statement.
`java.lang.String[]` `getStatementTerminators()` Returns the statement terminator array.
`Token` `getToken(int index)`
`void` `group_by_clause()`
`void` `group_by_item()`
`void` `group_by_list()`
`void` `having_clause()`
`void` `holdlock()`
`Token` `id_or_string()`
`void` `id_string()`
`Token` `id()`
`Token` `idplus()`
`void` `if_prefix()`
`void` `if_stmt()`
`void` `in_predicate()`
`void` `in_value_list()`
`void` `inner_join()`
`void` `insert_column_list()`
`void` `insert_column()`
`void` `insert_source()`
`void` `insert_stmts()`
`void` `insert_value_list()`
`void` `insert_value()`
`void` `insert_values()`
`void` `insert()`
`void` `integer()`
`void` `into_object()`
`void` `into_over()`
`void` `into()`
`boolean` `isComplete()` Returns whether the parser has captured the complete grammar for the database.
`void` `isolation_clause()`
`void` `isolation_lvl()`
`void` `java_constructor()`
`void` `java_memberref()`
`java.lang.String` `java_name()`
`void` `join_op()`
`void` `length_spec()`
`void` `like_predicate()`
`java.lang.String` `literal()`
`void` `name_item()`
`void` `name_list()`
`void` `null_predicate()`
`Token` `null_stmt()`
`void` `nullif_format()`
`void` `nullprogram()`
`int` `number()`
`java.lang.String` `object()`
`void` `oj_clause()`
`void` `oj_expr()`
`void` `oj_operator()`
`void` `optional_as()`
`void` `optional_comma_argument()`
`void` `optional_compute_by_list()`
`void` `optional_derived_col_name_list()`
`void` `optional_else_clause()`
`void` `optional_expression()`
`void` `optional_from_clause()`
`void` `optional_insert_col_list()`
`void` `optional_name_list_or_all()`
`void` `optional_name_list()`
`java.lang.String` `optional_param_default()`
`void` `optional_using_clause()`
`void` `optional_xact_name()`
`void` `order_by_clause()`
`void` `order_by_item()`
`void` `order_by_list()`
`void` `order_by_option()`
`void` `out_option()`
`int` `param_options()`
`void` `pattern_clause()`
`void` `pr_arglist()`
`void` `predicate_op()`
`void` `predicate()`
`java.lang.String` `prefix_list()`
`java.lang.String` `prefix()`
`void` `primary_1()`
`void` `primary()`
`void` `print()`
`void` `printstring()`
`java.lang.String` `proc_name()`
`void` `procedure()`
`void` `program()`
`void` `query_expression()`
`void` `query_primary()`
`void` `query_specification()`
`void` `query_term()`
`void` `readpast()`
`void` `ReInit(GenericSQLParserTokenManager tm)`
`void` `ReInit(java.io.InputStream stream)`
`void` `ReInit(java.io.Reader stream)`
`void` `result_table()`
`void` `result()`
`void` `return_stmt()`
`void` `rollback_tran()`
`void` `row_comparison_predicate()`
`void` `row_constructor_elem()`
`void` `row_constructor_list()`
`void` `row_constructor()`
`void` `searched_case()`
`void` `searched_when_clause_list()`
`void` `searched_when_clause()`
`void` `select_expression()`
`void` `select_list()`
`void` `select_or_set_variable_assignment()`
`void` `select()`
`void` `set_clause_list()`
`void` `set_clause()`
`void` `shared()`
`Token` `signed_const()`
`void` `simple_case()`
`void` `simple_or_searched_case()`
`void` `simple_table()`
`void` `simple_when_clause_list()`
`void` `simple_when_clause()`
`Node` `startRootIgnoreException()` Ignore exception during parsing so that the rest part can be parsed
`void` `statement()`
`Token` `string_literal()`
`void` `string()`
`void` `subfactor()`
`void` `subq_all_distinct()`
`void` `subq_expression_list()`
`void` `subq_expression()`
`void` `subq_fake_all_distinct()`
`void` `subq_fake_compute_by_item()`
`void` `subq_fake_compute_by_list()`
`void` `subq_fake_compute_clause()`
`void` `subq_fake_compute_function()`
`void` `subq_fake_compute_list()`
`void` `subq_fake_compute_statement_list()`
`void` `subq_fake_compute_statement()`
`void` `subq_fake_curs_upd_column()`
`void` `subq_fake_cursor_column_list()`
`void` `subq_fake_cursor_update_list()`
`void` `subq_fake_isolation_clause()`
`void` `subq_fake_optional_compute_by_list()`
`void` `subq_fake_order_by_clause()`
`void` `subq_fake_order_by_item()`
`void` `subq_fake_order_by_list()`
`void` `subq_fake_primary()`
`void` `subq_fake_select_expression()`
`void` `subq_fake_select()`
`void` `subq_fake_union()`
`void` `subq_select()`
`void` `subquery_content()`
`void` `subquery_select_expression()`
`void` `subquery()`
`java.lang.String` `table_object()`
`void` `term()`
`void` `tran_or_work()`
`void` `tran()`
`Token` `UK_ABSOLUTE()` Unreserved Keywords
`Token` `UK_ALL()`
`Token` `UK_BINARY()`
`Token` `UK_BIT()`
`Token` `UK_BOOLEAN()`
`Token` `UK_CHAR_S()`
`Token` `UK_CHAR()`
`Token` `UK_DATE()`
`Token` `UK_DATETIME()`
`Token` `UK_DECIMAL_S()`
`Token` `UK_DECIMAL()`
`Token` `UK_DOUBLE_PRECISION()`
`Token` `UK_FALSE()`
`Token` `UK_FIRST()`
`Token` `UK_FLOAT()`
`Token` `UK_FULL()`
`Token` `UK_IMAGE()`
`Token` `UK_INNER()`
`Token` `UK_INSENSITIVE()`
`Token` `UK_INT_S()`
`Token` `UK_INT()`
`Token` `UK_LAST()`
`Token` `UK_LEFT()`
`Token` `UK_MONEY()`
`Token` `UK_NAME()`
`Token` `UK_NCHAR_S()`
`Token` `UK_NCHAR_S1()`
`Token` `UK_NCHAR()`
`Token` `UK_NEW()`
`Token` `UK_NEXT()`
`Token` `UK_NO_SCROLL()`
`Token` `UK_NONE()`
`Token` `UK_NUMERIC()`
`Token` `UK_NVARCHAR_S()`
`Token` `UK_NVARCHAR_S1()`
`Token` `UK_NVARCHAR_S2()`
`Token` `UK_NVARCHAR()`
`Token` `UK_OUTER()`
`Token` `UK_PRIOR()`
`Token` `UK_REAL()`
`Token` `UK_RELATIVE()`
`Token` `UK_RIGHT()`
`Token` `UK_SCROLL()`
`Token` `UK_SEMI_SENSITIVE()`
`Token` `UK_SMALLDATETIME()`
`Token` `UK_SMALLINT()`
`Token` `UK_SMALLMONEY()`
`Token` `UK_TEXT()`
`Token` `UK_THEN()`
`Token` `UK_TIME()`
`Token` `UK_TIMESTAMP()`
`Token` `UK_TINYINT()`
`Token` `UK_TRUE()`
`Token` `UK_UNICHAR()`
`Token` `UK_UNIVARCHAR()`
`Token` `UK_VARBINARY()`
`Token` `UK_VARCHAR_S()`
`Token` `UK_VARCHAR_S1()`
`Token` `UK_VARCHAR()`
`void` `unique()`
`void` `unknown_sql_stmt()`
`Token` `unsigned_const()`
`void` `update_stmts()`
`void` `update()`
`void` `use()`
`Token` `variable_assignment()`
`Token` `variable()`
`void` `where_clause()`
`void` `where_current_clause()`
`void` `xact_name()`

Methods inherited from class org.eclipse.datatools.sqltools.sql.parser.SQLParser
`getEndIndex, getRange, getStartIndex, parse, parse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STMT_START_STRING

    public static final java.lang.String[] STMT_START_STRING

### token_source

    public GenericSQLParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### GenericSQLParser

    public GenericSQLParser()

### GenericSQLParser

    public GenericSQLParser(java.io.InputStream stream)

### GenericSQLParser

    public GenericSQLParser(java.io.Reader stream)

### GenericSQLParser

    public GenericSQLParser(GenericSQLParserTokenManager tm)

Method Detail

### getInstance

    public static GenericSQLParser getInstance()

### isComplete

    public boolean isComplete()

  Description copied from class: `SQLParser`
  Returns whether the parser has captured the complete grammar for the database. This will determine whether to enable syntax validation.

  Overrides:
    `isComplete` in class `SQLParser`
  Returns:
    default value is true

### getStatementTerminators

    public java.lang.String[] getStatementTerminators()

  Returns the statement terminator array. Different vendors will have their own terminators defined, so we just leave this method as abstract here.

  Specified by:
    `getStatementTerminators` in class `SQLParser`
  Returns:
    statement terminator array

### getStatementStartTokens

    public java.lang.String[] getStatementStartTokens()

  Returns the token strings that can be used to begin a SQL statement.

  Specified by:
    `getStatementStartTokens` in class `SQLParser`
  Returns:
    statement start token array

### string_literal

    public final Token string_literal()
                               throws ParseException

  Throws:
    `ParseException`

### UK_ABSOLUTE

    public final Token UK_ABSOLUTE()
                            throws ParseException

  Unreserved Keywords

  Throws:
    `ParseException`

### UK_ALL

    public final Token UK_ALL()
                       throws ParseException

  Throws:
    `ParseException`

### UK_BINARY

    public final Token UK_BINARY()
                          throws ParseException

  Throws:
    `ParseException`

### UK_BIT

    public final Token UK_BIT()
                       throws ParseException

  Throws:
    `ParseException`

### UK_BOOLEAN

    public final Token UK_BOOLEAN()
                           throws ParseException

  Throws:
    `ParseException`

### UK_CHAR

    public final Token UK_CHAR()
                        throws ParseException

  Throws:
    `ParseException`

### UK_CHAR_S

    public final Token UK_CHAR_S()
                          throws ParseException

  Throws:
    `ParseException`

### UK_DATE

    public final Token UK_DATE()
                        throws ParseException

  Throws:
    `ParseException`

### UK_DATETIME

    public final Token UK_DATETIME()
                            throws ParseException

  Throws:
    `ParseException`

### UK_DECIMAL

    public final Token UK_DECIMAL()
                           throws ParseException

  Throws:
    `ParseException`

### UK_DECIMAL_S

    public final Token UK_DECIMAL_S()
                             throws ParseException

  Throws:
    `ParseException`

### UK_DOUBLE_PRECISION

    public final Token UK_DOUBLE_PRECISION()
                                    throws ParseException

  Throws:
    `ParseException`

### UK_FALSE

    public final Token UK_FALSE()
                         throws ParseException

  Throws:
    `ParseException`

### UK_FIRST

    public final Token UK_FIRST()
                         throws ParseException

  Throws:
    `ParseException`

### UK_FLOAT

    public final Token UK_FLOAT()
                         throws ParseException

  Throws:
    `ParseException`

### UK_FULL

    public final Token UK_FULL()
                        throws ParseException

  Throws:
    `ParseException`

### UK_IMAGE

    public final Token UK_IMAGE()
                         throws ParseException

  Throws:
    `ParseException`

### UK_INNER

    public final Token UK_INNER()
                         throws ParseException

  Throws:
    `ParseException`

### UK_INSENSITIVE

    public final Token UK_INSENSITIVE()
                               throws ParseException

  Throws:
    `ParseException`

### UK_INT

    public final Token UK_INT()
                       throws ParseException

  Throws:
    `ParseException`

### UK_INT_S

    public final Token UK_INT_S()
                         throws ParseException

  Throws:
    `ParseException`

### UK_LAST

    public final Token UK_LAST()
                        throws ParseException

  Throws:
    `ParseException`

### UK_LEFT

    public final Token UK_LEFT()
                        throws ParseException

  Throws:
    `ParseException`

### UK_MONEY

    public final Token UK_MONEY()
                         throws ParseException

  Throws:
    `ParseException`

### UK_NAME

    public final Token UK_NAME()
                        throws ParseException

  Throws:
    `ParseException`

### UK_NCHAR

    public final Token UK_NCHAR()
                         throws ParseException

  Throws:
    `ParseException`

### UK_NCHAR_S

    public final Token UK_NCHAR_S()
                           throws ParseException

  Throws:
    `ParseException`

### UK_NCHAR_S1

    public final Token UK_NCHAR_S1()
                            throws ParseException

  Throws:
    `ParseException`

### UK_NEXT

    public final Token UK_NEXT()
                        throws ParseException

  Throws:
    `ParseException`

### UK_NEW

    public final Token UK_NEW()
                       throws ParseException

  Throws:
    `ParseException`

### UK_NONE

    public final Token UK_NONE()
                        throws ParseException

  Throws:
    `ParseException`

### UK_NO_SCROLL

    public final Token UK_NO_SCROLL()
                             throws ParseException

  Throws:
    `ParseException`

### UK_NUMERIC

    public final Token UK_NUMERIC()
                           throws ParseException

  Throws:
    `ParseException`

### UK_NVARCHAR

    public final Token UK_NVARCHAR()
                            throws ParseException

  Throws:
    `ParseException`

### UK_NVARCHAR_S

    public final Token UK_NVARCHAR_S()
                              throws ParseException

  Throws:
    `ParseException`

### UK_NVARCHAR_S1

    public final Token UK_NVARCHAR_S1()
                               throws ParseException

  Throws:
    `ParseException`

### UK_NVARCHAR_S2

    public final Token UK_NVARCHAR_S2()
                               throws ParseException

  Throws:
    `ParseException`

### UK_OUTER

    public final Token UK_OUTER()
                         throws ParseException

  Throws:
    `ParseException`

### UK_PRIOR

    public final Token UK_PRIOR()
                         throws ParseException

  Throws:
    `ParseException`

### UK_REAL

    public final Token UK_REAL()
                        throws ParseException

  Throws:
    `ParseException`

### UK_RELATIVE

    public final Token UK_RELATIVE()
                            throws ParseException

  Throws:
    `ParseException`

### UK_RIGHT

    public final Token UK_RIGHT()
                         throws ParseException

  Throws:
    `ParseException`

### UK_SCROLL

    public final Token UK_SCROLL()
                          throws ParseException

  Throws:
    `ParseException`

### UK_SEMI_SENSITIVE

    public final Token UK_SEMI_SENSITIVE()
                                  throws ParseException

  Throws:
    `ParseException`

### UK_SMALLDATETIME

    public final Token UK_SMALLDATETIME()
                                 throws ParseException

  Throws:
    `ParseException`

### UK_SMALLINT

    public final Token UK_SMALLINT()
                            throws ParseException

  Throws:
    `ParseException`

### UK_SMALLMONEY

    public final Token UK_SMALLMONEY()
                              throws ParseException

  Throws:
    `ParseException`

### UK_TEXT

    public final Token UK_TEXT()
                        throws ParseException

  Throws:
    `ParseException`

### UK_THEN

    public final Token UK_THEN()
                        throws ParseException

  Throws:
    `ParseException`

### UK_TIME

    public final Token UK_TIME()
                        throws ParseException

  Throws:
    `ParseException`

### UK_TIMESTAMP

    public final Token UK_TIMESTAMP()
                             throws ParseException

  Throws:
    `ParseException`

### UK_TINYINT

    public final Token UK_TINYINT()
                           throws ParseException

  Throws:
    `ParseException`

### UK_TRUE

    public final Token UK_TRUE()
                        throws ParseException

  Throws:
    `ParseException`

### UK_UNICHAR

    public final Token UK_UNICHAR()
                           throws ParseException

  Throws:
    `ParseException`

### UK_UNIVARCHAR

    public final Token UK_UNIVARCHAR()
                              throws ParseException

  Throws:
    `ParseException`

### UK_VARBINARY

    public final Token UK_VARBINARY()
                             throws ParseException

  Throws:
    `ParseException`

### UK_VARCHAR

    public final Token UK_VARCHAR()
                           throws ParseException

  Throws:
    `ParseException`

### UK_VARCHAR_S

    public final Token UK_VARCHAR_S()
                             throws ParseException

  Throws:
    `ParseException`

### UK_VARCHAR_S1

    public final Token UK_VARCHAR_S1()
                              throws ParseException

  Throws:
    `ParseException`

### startRootIgnoreException

    public final Node startRootIgnoreException()
                                        throws ParseException

  Ignore exception during parsing so that the rest part can be parsed

  Throws:
    `ParseException`

### delimiter

    public final ASTSQLDelimiter delimiter()
                                    throws ParseException

  Throws:
    `ParseException`

### statement

    public final void statement()
                         throws ParseException

  Throws:
    `ParseException`

### unknown_sql_stmt

    public final void unknown_sql_stmt()
                                throws ParseException

  Throws:
    `ParseException`

### any_stmt_token

    public final void any_stmt_token()
                              throws ParseException

  Throws:
    `ParseException`

### use

    public final void use()
                   throws ParseException

  Throws:
    `ParseException`

### create_stmts

    public final void create_stmts()
                            throws ParseException

  Throws:
    `ParseException`

### unique

    public final void unique()
                      throws ParseException

  Throws:
    `ParseException`

### dummy

    public final void dummy()
                     throws ParseException

  Throws:
    `ParseException`

### clustered

    public final void clustered()
                         throws ParseException

  Throws:
    `ParseException`

### alter_stmts

    public final void alter_stmts()
                           throws ParseException

  Throws:
    `ParseException`

### drop_stmts

    public final void drop_stmts()
                          throws ParseException

  Throws:
    `ParseException`

### begin_stmts

    public final void begin_stmts()
                           throws ParseException

  Throws:
    `ParseException`

### delete_stmts

    public final void delete_stmts()
                            throws ParseException

  Throws:
    `ParseException`

### insert_stmts

    public final void insert_stmts()
                            throws ParseException

  Throws:
    `ParseException`

### update_stmts

    public final void update_stmts()
                            throws ParseException

  Throws:
    `ParseException`

### datatype

    public final ASTSQLDataType datatype()
                                  throws ParseException

  Throws:
    `ParseException`

### base_datatype

    public final ASTSQLDataType base_datatype()
                                       throws ParseException

  Throws:
    `ParseException`

### java_name

    public final java.lang.String java_name()
                                     throws ParseException

  Throws:
    `ParseException`

### length_spec

    public final void length_spec()
                           throws ParseException

  Throws:
    `ParseException`

### insert

    public final void insert()
                      throws ParseException

  Throws:
    `ParseException`

### into_over

    public final void into_over()
                         throws ParseException

  Throws:
    `ParseException`

### optional_insert_col_list

    public final void optional_insert_col_list()
                                        throws ParseException

  Throws:
    `ParseException`

### insert_column_list

    public final void insert_column_list()
                                  throws ParseException

  Throws:
    `ParseException`

### insert_column

    public final void insert_column()
                             throws ParseException

  Throws:
    `ParseException`

### insert_source

    public final void insert_source()
                             throws ParseException

  Throws:
    `ParseException`

### insert_values

    public final void insert_values()
                             throws ParseException

  Throws:
    `ParseException`

### insert_value_list

    public final void insert_value_list()
                                 throws ParseException

  Throws:
    `ParseException`

### insert_value

    public final void insert_value()
                            throws ParseException

  Throws:
    `ParseException`

### update

    public final void update()
                      throws ParseException

  Throws:
    `ParseException`

### set_clause_list

    public final void set_clause_list()
                               throws ParseException

  Throws:
    `ParseException`

### set_clause

    public final void set_clause()
                          throws ParseException

  Throws:
    `ParseException`

### select

    public final void select()
                      throws ParseException

  Throws:
    `ParseException`

### query_expression

    public final void query_expression()
                                throws ParseException

  Throws:
    `ParseException`

### query_term

    public final void query_term()
                          throws ParseException

  Throws:
    `ParseException`

### all_option

    public final void all_option()
                          throws ParseException

  Throws:
    `ParseException`

### query_primary

    public final void query_primary()
                             throws ParseException

  Throws:
    `ParseException`

### simple_table

    public final void simple_table()
                            throws ParseException

  Throws:
    `ParseException`

### query_specification

    public final void query_specification()
                                   throws ParseException

  Throws:
    `ParseException`

### into

    public final void into()
                    throws ParseException

  Throws:
    `ParseException`

### into_object

    public final void into_object()
                           throws ParseException

  Throws:
    `ParseException`

### cursor_update_list

    public final void cursor_update_list()
                                  throws ParseException

  Throws:
    `ParseException`

### cursor_column_list

    public final void cursor_column_list()
                                  throws ParseException

  Throws:
    `ParseException`

### curs_upd_column

    public final void curs_upd_column()
                               throws ParseException

  Throws:
    `ParseException`

### isolation_clause

    public final void isolation_clause()
                                throws ParseException

  Throws:
    `ParseException`

### isolation_lvl

    public final void isolation_lvl()
                             throws ParseException

  Throws:
    `ParseException`

### all_distinct

    public final void all_distinct()
                            throws ParseException

  Throws:
    `ParseException`

### delete

    public final void delete()
                      throws ParseException

  Throws:
    `ParseException`

### result_table

    public final void result_table()
                            throws ParseException

  Throws:
    `ParseException`

### subquery

    public final void subquery()
                        throws ParseException

  Throws:
    `ParseException`

### subquery_content

    public final void subquery_content()
                                throws ParseException

  Throws:
    `ParseException`

### subq_select

    public final void subq_select()
                           throws ParseException

  Throws:
    `ParseException`

### subq_all_distinct

    public final void subq_all_distinct()
                                 throws ParseException

  Throws:
    `ParseException`

### subq_fake_union

    public final void subq_fake_union()
                               throws ParseException

  Throws:
    `ParseException`

### subq_fake_select

    public final void subq_fake_select()
                                throws ParseException

  Throws:
    `ParseException`

### subq_fake_primary

    public final void subq_fake_primary()
                                 throws ParseException

  Throws:
    `ParseException`

### subq_fake_all_distinct

    public final void subq_fake_all_distinct()
                                      throws ParseException

  Throws:
    `ParseException`

### subq_fake_select_expression

    public final void subq_fake_select_expression()
                                           throws ParseException

  Throws:
    `ParseException`

### subq_fake_order_by_clause

    public final void subq_fake_order_by_clause()
                                         throws ParseException

  Throws:
    `ParseException`

### subq_fake_order_by_list

    public final void subq_fake_order_by_list()
                                       throws ParseException

  Throws:
    `ParseException`

### subq_fake_order_by_item

    public final void subq_fake_order_by_item()
                                       throws ParseException

  Throws:
    `ParseException`

### subq_fake_compute_clause

    public final void subq_fake_compute_clause()
                                        throws ParseException

  Throws:
    `ParseException`

### subq_fake_compute_statement_list

    public final void subq_fake_compute_statement_list()
                                                throws ParseException

  Throws:
    `ParseException`

### subq_fake_compute_statement

    public final void subq_fake_compute_statement()
                                           throws ParseException

  Throws:
    `ParseException`

### subq_fake_compute_list

    public final void subq_fake_compute_list()
                                      throws ParseException

  Throws:
    `ParseException`

### subq_fake_compute_function

    public final void subq_fake_compute_function()
                                          throws ParseException

  Throws:
    `ParseException`

### subq_fake_optional_compute_by_list

    public final void subq_fake_optional_compute_by_list()
                                                  throws ParseException

  Throws:
    `ParseException`

### subq_fake_compute_by_list

    public final void subq_fake_compute_by_list()
                                         throws ParseException

  Throws:
    `ParseException`

### subq_fake_compute_by_item

    public final void subq_fake_compute_by_item()
                                         throws ParseException

  Throws:
    `ParseException`

### subq_fake_cursor_update_list

    public final void subq_fake_cursor_update_list()
                                            throws ParseException

  Throws:
    `ParseException`

### subq_fake_cursor_column_list

    public final void subq_fake_cursor_column_list()
                                            throws ParseException

  Throws:
    `ParseException`

### subq_fake_curs_upd_column

    public final void subq_fake_curs_upd_column()
                                         throws ParseException

  Throws:
    `ParseException`

### subq_fake_isolation_clause

    public final void subq_fake_isolation_clause()
                                          throws ParseException

  Throws:
    `ParseException`

### compound_statement

    public final void compound_statement()
                                  throws ParseException

  Throws:
    `ParseException`

### nullprogram

    public final void nullprogram()
                           throws ParseException

  Throws:
    `ParseException`

### program

    public final void program()
                       throws ParseException

  Throws:
    `ParseException`

### declare

    public final void declare()
                       throws ParseException

  Throws:
    `ParseException`

### declare_cursor

    public final void declare_cursor()
                              throws ParseException

  Throws:
    `ParseException`

### cur_sensitivity

    public final void cur_sensitivity()
                               throws ParseException

  Throws:
    `ParseException`

### cur_scrollability

    public final void cur_scrollability()
                                 throws ParseException

  Throws:
    `ParseException`

### declare_prefix

    public final void declare_prefix()
                              throws ParseException

  Throws:
    `ParseException`

### fetch

    public final void fetch()
                     throws ParseException

  Throws:
    `ParseException`

### fetch_orientation

    public final void fetch_orientation()
                                 throws ParseException

  Throws:
    `ParseException`

### fetch_val_spec

    public final void fetch_val_spec()
                              throws ParseException

  Throws:
    `ParseException`

### fetch_into_clause

    public final void fetch_into_clause()
                                 throws ParseException

  Throws:
    `ParseException`

### fetch_into_list

    public final void fetch_into_list()
                               throws ParseException

  Throws:
    `ParseException`

### fetch_from_spec

    public final void fetch_from_spec()
                               throws ParseException

  Throws:
    `ParseException`

### return_stmt

    public final void return_stmt()
                           throws ParseException

  Throws:
    `ParseException`

### optional_expression

    public final void optional_expression()
                                   throws ParseException

  Throws:
    `ParseException`

### if_stmt

    public final void if_stmt()
                       throws ParseException

  Throws:
    `ParseException`

### if_prefix

    public final void if_prefix()
                         throws ParseException

  Throws:
    `ParseException`

### begin_tran

    public final void begin_tran()
                          throws ParseException

  Throws:
    `ParseException`

### commit_tran

    public final void commit_tran()
                           throws ParseException

  Throws:
    `ParseException`

### tran_or_work

    public final void tran_or_work()
                            throws ParseException

  Throws:
    `ParseException`

### tran

    public final void tran()
                    throws ParseException

  Throws:
    `ParseException`

### rollback_tran

    public final void rollback_tran()
                             throws ParseException

  Throws:
    `ParseException`

### optional_xact_name

    public final void optional_xact_name()
                                  throws ParseException

  Throws:
    `ParseException`

### xact_name

    public final void xact_name()
                         throws ParseException

  Throws:
    `ParseException`

### checkpoint

    public final void checkpoint()
                          throws ParseException

  Throws:
    `ParseException`

### optional_name_list_or_all

    public final void optional_name_list_or_all()
                                         throws ParseException

  Throws:
    `ParseException`

### optional_name_list

    public final void optional_name_list()
                                  throws ParseException

  Throws:
    `ParseException`

### name_list

    public final void name_list()
                         throws ParseException

  Throws:
    `ParseException`

### name_item

    public final void name_item()
                         throws ParseException

  Throws:
    `ParseException`

### print

    public final void print()
                     throws ParseException

  Throws:
    `ParseException`

### pr_arglist

    public final void pr_arglist()
                          throws ParseException

  Throws:
    `ParseException`

### arglist

    public final void arglist()
                       throws ParseException

  Throws:
    `ParseException`

### printstring

    public final void printstring()
                           throws ParseException

  Throws:
    `ParseException`

### id_or_string

    public final Token id_or_string()
                             throws ParseException

  Throws:
    `ParseException`

### idplus

    public final Token idplus()
                       throws ParseException

  Throws:
    `ParseException`

### select_list

    public final void select_list()
                           throws ParseException

  Throws:
    `ParseException`

### select_expression

    public final void select_expression()
                                 throws ParseException

  Throws:
    `ParseException`

### select_or_set_variable_assignment

    public final void select_or_set_variable_assignment()
                                                 throws ParseException

  Throws:
    `ParseException`

### optional_as

    public final void optional_as()
                           throws ParseException

  Throws:
    `ParseException`

### subquery_select_expression

    public final void subquery_select_expression()
                                          throws ParseException

  Throws:
    `ParseException`

### declaration_list

    public final void declaration_list()
                                throws ParseException

  Throws:
    `ParseException`

### comma

    public final void comma()
                     throws ParseException

  Throws:
    `ParseException`

### declaration

    public final void declaration()
                           throws ParseException

  Throws:
    `ParseException`

### optional_param_default

    public final java.lang.String optional_param_default()
                                                  throws ParseException

  Throws:
    `ParseException`

### param_options

    public final int param_options()
                            throws ParseException

  Throws:
    `ParseException`

### out_option

    public final void out_option()
                          throws ParseException

  Throws:
    `ParseException`

### holdlock

    public final void holdlock()
                        throws ParseException

  Throws:
    `ParseException`

### shared

    public final void shared()
                      throws ParseException

  Throws:
    `ParseException`

### readpast

    public final void readpast()
                        throws ParseException

  Throws:
    `ParseException`

### forceoptions

    public final void forceoptions()
                            throws ParseException

  Throws:
    `ParseException`

### forceoption_terms

    public final void forceoption_terms()
                                 throws ParseException

  Throws:
    `ParseException`

### forceoption_term

    public final void forceoption_term()
                                throws ParseException

  Throws:
    `ParseException`

### forceindex

    public final void forceindex()
                          throws ParseException

  Throws:
    `ParseException`

### forcestrategy

    public final void forcestrategy()
                             throws ParseException

  Throws:
    `ParseException`

### inner_join

    public final void inner_join()
                          throws ParseException

  Throws:
    `ParseException`

### oj_operator

    public final void oj_operator()
                           throws ParseException

  Throws:
    `ParseException`

### oj_expr

    public final void oj_expr()
                       throws ParseException

  Throws:
    `ParseException`

### oj_clause

    public final void oj_clause()
                         throws ParseException

  Throws:
    `ParseException`

### from_where_clause

    public final void from_where_clause()
                                 throws ParseException

  Throws:
    `ParseException`

### where_current_clause

    public final void where_current_clause()
                                    throws ParseException

  Throws:
    `ParseException`

### from_clause

    public final void from_clause()
                           throws ParseException

  Throws:
    `ParseException`

### optional_from_clause

    public final void optional_from_clause()
                                    throws ParseException

  Throws:
    `ParseException`

### from_list

    public final void from_list()
                         throws ParseException

  Throws:
    `ParseException`

### from_table

    public final void from_table()
                          throws ParseException

  Throws:
    `ParseException`

### from_item

    public final void from_item()
                         throws ParseException

  Throws:
    `ParseException`

### from_unit

    public final java.lang.String from_unit()
                                     throws ParseException

  Throws:
    `ParseException`

### derived_table_name

    public final void derived_table_name()
                                  throws ParseException

  Throws:
    `ParseException`

### optional_derived_col_name_list

    public final void optional_derived_col_name_list()
                                              throws ParseException

  Throws:
    `ParseException`

### derived_column_list

    public final void derived_column_list()
                                   throws ParseException

  Throws:
    `ParseException`

### derived_col_name

    public final void derived_col_name()
                                throws ParseException

  Throws:
    `ParseException`

### where_clause

    public final void where_clause()
                            throws ParseException

  Throws:
    `ParseException`

### boolean_expression

    public final void boolean_expression()
                                  throws ParseException

  Throws:
    `ParseException`

### boolean_term

    public final void boolean_term()
                            throws ParseException

  Throws:
    `ParseException`

### boolean_factor

    public final void boolean_factor()
                              throws ParseException

  Throws:
    `ParseException`

### boolean_primary

    public final void boolean_primary()
                               throws ParseException

  Throws:
    `ParseException`

### group_by_clause

    public final void group_by_clause()
                               throws ParseException

  Throws:
    `ParseException`

### by_all

    public final void by_all()
                      throws ParseException

  Throws:
    `ParseException`

### group_by_list

    public final void group_by_list()
                             throws ParseException

  Throws:
    `ParseException`

### group_by_item

    public final void group_by_item()
                             throws ParseException

  Throws:
    `ParseException`

### having_clause

    public final void having_clause()
                             throws ParseException

  Throws:
    `ParseException`

### order_by_clause

    public final void order_by_clause()
                               throws ParseException

  Throws:
    `ParseException`

### order_by_list

    public final void order_by_list()
                             throws ParseException

  Throws:
    `ParseException`

### order_by_item

    public final void order_by_item()
                             throws ParseException

  Throws:
    `ParseException`

### order_by_option

    public final void order_by_option()
                               throws ParseException

  Throws:
    `ParseException`

### compute_clause

    public final void compute_clause()
                              throws ParseException

  Throws:
    `ParseException`

### compute_statement_list

    public final void compute_statement_list()
                                      throws ParseException

  Throws:
    `ParseException`

### compute_statement

    public final void compute_statement()
                                 throws ParseException

  Throws:
    `ParseException`

### compute_list

    public final void compute_list()
                            throws ParseException

  Throws:
    `ParseException`

### compute_function

    public final void compute_function()
                                throws ParseException

  Throws:
    `ParseException`

### optional_compute_by_list

    public final void optional_compute_by_list()
                                        throws ParseException

  Throws:
    `ParseException`

### compute_by_list

    public final void compute_by_list()
                               throws ParseException

  Throws:
    `ParseException`

### compute_by_item

    public final void compute_by_item()
                               throws ParseException

  Throws:
    `ParseException`

### predicate

    public final void predicate()
                         throws ParseException

  Throws:
    `ParseException`

### predicate_op

    public final void predicate_op()
                            throws ParseException

  Throws:
    `ParseException`

### comparison_predicate

    public final void comparison_predicate()
                                    throws ParseException

  Throws:
    `ParseException`

### row_comparison_predicate

    public final void row_comparison_predicate()
                                        throws ParseException

  Throws:
    `ParseException`

### comp_op

    public final void comp_op()
                       throws ParseException

  Throws:
    `ParseException`

### join_op

    public final void join_op()
                       throws ParseException

  Throws:
    `ParseException`

### between_predicate

    public final void between_predicate()
                                 throws ParseException

  Throws:
    `ParseException`

### null_predicate

    public final void null_predicate()
                              throws ParseException

  Throws:
    `ParseException`

### in_predicate

    public final void in_predicate()
                            throws ParseException

  Throws:
    `ParseException`

### in_value_list

    public final void in_value_list()
                             throws ParseException

  Throws:
    `ParseException`

### any_predicate

    public final void any_predicate()
                             throws ParseException

  Throws:
    `ParseException`

### all_predicate

    public final void all_predicate()
                             throws ParseException

  Throws:
    `ParseException`

### exists_predicate

    public final void exists_predicate()
                                throws ParseException

  Throws:
    `ParseException`

### like_predicate

    public final void like_predicate()
                              throws ParseException

  Throws:
    `ParseException`

### pattern_clause

    public final void pattern_clause()
                              throws ParseException

  Throws:
    `ParseException`

### escape_clause

    public final void escape_clause()
                             throws ParseException

  Throws:
    `ParseException`

### row_constructor

    public final void row_constructor()
                               throws ParseException

  Throws:
    `ParseException`

### row_constructor_list

    public final void row_constructor_list()
                                    throws ParseException

  Throws:
    `ParseException`

### row_constructor_elem

    public final void row_constructor_elem()
                                    throws ParseException

  Throws:
    `ParseException`

### expression

    public final ASTExpression expression()
                                   throws ParseException

  Throws:
    `ParseException`

### term

    public final void term()
                    throws ParseException

  Throws:
    `ParseException`

### factor

    public final void factor()
                      throws ParseException

  Throws:
    `ParseException`

### subfactor

    public final void subfactor()
                         throws ParseException

  Throws:
    `ParseException`

### primary_1

    public final void primary_1()
                         throws ParseException

  Throws:
    `ParseException`

### primary

    public final void primary()
                       throws ParseException

  Throws:
    `ParseException`

### case_expression

    public final void case_expression()
                               throws ParseException

  Throws:
    `ParseException`

### case_abbreviation

    public final void case_abbreviation()
                                 throws ParseException

  Throws:
    `ParseException`

### case_specification

    public final void case_specification()
                                  throws ParseException

  Throws:
    `ParseException`

### simple_or_searched_case

    public final void simple_or_searched_case()
                                       throws ParseException

  Throws:
    `ParseException`

### simple_case

    public final void simple_case()
                           throws ParseException

  Throws:
    `ParseException`

### searched_case

    public final void searched_case()
                             throws ParseException

  Throws:
    `ParseException`

### simple_when_clause_list

    public final void simple_when_clause_list()
                                       throws ParseException

  Throws:
    `ParseException`

### simple_when_clause

    public final void simple_when_clause()
                                  throws ParseException

  Throws:
    `ParseException`

### searched_when_clause_list

    public final void searched_when_clause_list()
                                         throws ParseException

  Throws:
    `ParseException`

### searched_when_clause

    public final void searched_when_clause()
                                    throws ParseException

  Throws:
    `ParseException`

### optional_else_clause

    public final void optional_else_clause()
                                    throws ParseException

  Throws:
    `ParseException`

### result

    public final void result()
                      throws ParseException

  Throws:
    `ParseException`

### coalesce_format

    public final void coalesce_format()
                               throws ParseException

  Throws:
    `ParseException`

### coalesce_list

    public final void coalesce_list()
                             throws ParseException

  Throws:
    `ParseException`

### coalesce_element

    public final void coalesce_element()
                                throws ParseException

  Throws:
    `ParseException`

### nullif_format

    public final void nullif_format()
                             throws ParseException

  Throws:
    `ParseException`

### object

    public final java.lang.String object()
                                  throws ParseException

  Throws:
    `ParseException`

### table_object

    public final java.lang.String table_object()
                                        throws ParseException

  Throws:
    `ParseException`

### procedure

    public final void procedure()
                         throws ParseException

  Throws:
    `ParseException`

### proc_name

    public final java.lang.String proc_name()
                                     throws ParseException

  Throws:
    `ParseException`

### column

    public final void column()
                      throws ParseException

  Throws:
    `ParseException`

### prefix_list

    public final java.lang.String prefix_list()
                                       throws ParseException

  Throws:
    `ParseException`

### prefix

    public final java.lang.String prefix()
                                  throws ParseException

  Throws:
    `ParseException`

### id

    public final Token id()
                   throws ParseException

  Throws:
    `ParseException`

### string

    public final void string()
                      throws ParseException

  Throws:
    `ParseException`

### id_string

    public final void id_string()
                         throws ParseException

  Throws:
    `ParseException`

### integer

    public final void integer()
                       throws ParseException

  Throws:
    `ParseException`

### number

    public final int number()
                     throws ParseException

  Throws:
    `ParseException`

### constant

    public final void constant()
                        throws ParseException

  Throws:
    `ParseException`

### signed_const

    public final Token signed_const()
                             throws ParseException

  Throws:
    `ParseException`

### unsigned_const

    public final Token unsigned_const()
                               throws ParseException

  Throws:
    `ParseException`

### literal

    public final java.lang.String literal()
                                   throws ParseException

  Throws:
    `ParseException`

### binary

    public final void binary()
                      throws ParseException

  Throws:
    `ParseException`

### null_stmt

    public final Token null_stmt()
                          throws ParseException

  Throws:
    `ParseException`

### variable

    public final Token variable()
                         throws ParseException

  Throws:
    `ParseException`

### variable_assignment

    public final Token variable_assignment()
                                    throws ParseException

  Throws:
    `ParseException`

### dyn_question_mark

    public final Token dyn_question_mark()
                                  throws ParseException

  Throws:
    `ParseException`

### java_memberref

    public final void java_memberref()
                              throws ParseException

  Throws:
    `ParseException`

### function

    public final void function()
                        throws ParseException

  Throws:
    `ParseException`

### builtin_function

    public final void builtin_function()
                                throws ParseException

  Throws:
    `ParseException`

### java_constructor

    public final void java_constructor()
                                throws ParseException

  Throws:
    `ParseException`

### subq_expression_list

    public final void subq_expression_list()
                                    throws ParseException

  Throws:
    `ParseException`

### subq_expression

    public final void subq_expression()
                               throws ParseException

  Throws:
    `ParseException`

### expression_list

    public final void expression_list()
                               throws ParseException

  Throws:
    `ParseException`

### optional_using_clause

    public final void optional_using_clause()
                                     throws ParseException

  Throws:
    `ParseException`

### optional_comma_argument

    public final void optional_comma_argument()
                                       throws ParseException

  Throws:
    `ParseException`

### agg_function

    public final void agg_function()
                            throws ParseException

  Throws:
    `ParseException`

### agg_function_specification

    public final void agg_function_specification()
                                          throws ParseException

  Throws:
    `ParseException`

### all

    public final void all()
                   throws ParseException

  Throws:
    `ParseException`

### boolean_function

    public final void boolean_function()
                                throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(GenericSQLParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()